java issue protege5

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

java issue protege5

Michel Bohms
We're using laptops with preinstalled java.

java -version works:
C:\Software\Protege_5.0_beta>java -version
java version "1.7.0_55"
Java(TM) SE Runtime Environment (build 1.7.0_55-b13)
Java HotSpot(TM) Client VM (build 24.55-b03, mixed mode)



still I get:


C:\Software\Protege_5.0_beta>run.bat

C:\Software\Protege_5.0_beta>java -server -Dlog4j.configuration=file:log4j.xml -
DentityExpansionLimit=100000000 -Dfile.encoding=utf-8 -Dorg.protege.plugin.dir=p
lugins -classpath bin/felix.jar;bin/ProtegeLauncher.jar org.protege.osgi.framewo
rk.Launcher
Error: missing `server' JVM at `C:\Program Files (x86)\Java\jre7\bin\server\jvm.
dll'.
Please install or use the JRE or JDK that contains these missing components.

are there specific reqs wrt java?

thx Michel

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: java issue protege5

Jennifer Vendetti
Administrator
Hello Michel,

Sorry you’re having problems starting Protege.  I looked at our run scripts and we’re using the Java “-server” option, which only comes with the JDK.  Probably you only have the JRE installed on your laptop.  Open your run.bat file in a text editor and remove the “-server” option, i.e., you’ll end up with this:

java -Dlog4j.configuration=file:log4j.xml -DentityExpansionLimit=100000000 -Dfile.encoding=utf-8 -Dorg.protege.plugin.dir=plugins -classpath bin/felix.jar;bin/ProtegeLauncher.jar org.protege.osgi.framework.Launcher

… then save run.bat, and try launching Protege again.  I think this should work.  Let us know if you’re successful, or not.

Jennifer



On May 30, 2014, at 6:43 AM, Michel Bohms <[hidden email]> wrote:

> We're using laptops with preinstalled java.
>
> java -version works:
> C:\Software\Protege_5.0_beta>java -version
> java version "1.7.0_55"
> Java(TM) SE Runtime Environment (build 1.7.0_55-b13)
> Java HotSpot(TM) Client VM (build 24.55-b03, mixed mode)
>
>
>
> still I get:
>
>
> C:\Software\Protege_5.0_beta>run.bat
>
> C:\Software\Protege_5.0_beta>java -server -Dlog4j.configuration=file:log4j.xml -
> DentityExpansionLimit=100000000 -Dfile.encoding=utf-8 -Dorg.protege.plugin.dir=p
> lugins -classpath bin/felix.jar;bin/ProtegeLauncher.jar org.protege.osgi.framewo
> rk.Launcher
> Error: missing `server' JVM at `C:\Program Files (x86)\Java\jre7\bin\server\jvm.
> dll'.
> Please install or use the JRE or JDK that contains these missing components.
>
> are there specific reqs wrt java?
>
> thx Michel
> _______________________________________________
> protege-user mailing list
> [hidden email]
> https://mailman.stanford.edu/mailman/listinfo/protege-user

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user

signature.asc (507 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: java issue protege5

Bohms, H.M. (Michel)
Dera Jennifer,
Thx that worked..
Anything not working now because of this change?

Thx Michel

Dr. ir. H.M. (Michel) Bohms
Sr. Research Scientist
Structural Reliability
T +31 (0)88 866 31 07
M +31 (0)63 038 12 20
E [hidden email]

This message may contain information that is not intended for you. If you are not the addressee or if this message was sent to you by mistake, you are requested to inform the sender and delete the message. TNO accepts no liability for the content of this e-mail, for the manner in which you use it and for damage of any kind resulting from the risks inherent to the electronic transmission of messages.
-----Original Message-----
From: protege-user [mailto:[hidden email]] On Behalf Of Jennifer Vendetti
Sent: zaterdag 31 mei 2014 0:36
To: User support for WebProtege and Protege Desktop
Subject: Re: [protege-user] java issue protege5

Hello Michel,

Sorry you're having problems starting Protege.  I looked at our run scripts and we're using the Java "-server" option, which only comes with the JDK.  Probably you only have the JRE installed on your laptop.  Open your run.bat file in a text editor and remove the "-server" option, i.e., you'll end up with this:

java -Dlog4j.configuration=file:log4j.xml -DentityExpansionLimit=100000000 -Dfile.encoding=utf-8 -Dorg.protege.plugin.dir=plugins -classpath bin/felix.jar;bin/ProtegeLauncher.jar org.protege.osgi.framework.Launcher

... then save run.bat, and try launching Protege again.  I think this should work.  Let us know if you're successful, or not.

Jennifer



On May 30, 2014, at 6:43 AM, Michel Bohms <[hidden email]> wrote:

> We're using laptops with preinstalled java.
>
> java -version works:
> C:\Software\Protege_5.0_beta>java -version java version "1.7.0_55"
> Java(TM) SE Runtime Environment (build 1.7.0_55-b13) Java HotSpot(TM)
> Client VM (build 24.55-b03, mixed mode)
>
>
>
> still I get:
>
>
> C:\Software\Protege_5.0_beta>run.bat
>
> C:\Software\Protege_5.0_beta>java -server
> -Dlog4j.configuration=file:log4j.xml -
> DentityExpansionLimit=100000000 -Dfile.encoding=utf-8
> -Dorg.protege.plugin.dir=p lugins -classpath
> bin/felix.jar;bin/ProtegeLauncher.jar org.protege.osgi.framewo
> rk.Launcher
> Error: missing `server' JVM at `C:\Program Files (x86)\Java\jre7\bin\server\jvm.
> dll'.
> Please install or use the JRE or JDK that contains these missing components.
>
> are there specific reqs wrt java?
>
> thx Michel
> _______________________________________________
> protege-user mailing list
> [hidden email]
> https://mailman.stanford.edu/mailman/listinfo/protege-user

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: java issue protege5

Jennifer Vendetti
Administrator
Hello Michel,

No, there’s nothing that doesn’t work due to the change.  We had added the -server option some time ago based on a claim that it would offer better performance for long-lived applications, but there was no noticeable difference detected with Protege.  So, we determined that the option should just be removed since it caused issues with end-users that only have JREs installed.

We've published a new build to the Protege website with the -server option removed from all the run scripts.`

Jennifer


On Jun 2, 2014, at 12:38 AM, Bohms, H.M. (Michel) <[hidden email]> wrote:

> Dera Jennifer,
> Thx that worked..
> Anything not working now because of this change?
>
> Thx Michel
>
> Dr. ir. H.M. (Michel) Bohms
> Sr. Research Scientist
> Structural Reliability
> T +31 (0)88 866 31 07
> M +31 (0)63 038 12 20
> E [hidden email]
>
> This message may contain information that is not intended for you. If you are not the addressee or if this message was sent to you by mistake, you are requested to inform the sender and delete the message. TNO accepts no liability for the content of this e-mail, for the manner in which you use it and for damage of any kind resulting from the risks inherent to the electronic transmission of messages.
> -----Original Message-----
> From: protege-user [mailto:[hidden email]] On Behalf Of Jennifer Vendetti
> Sent: zaterdag 31 mei 2014 0:36
> To: User support for WebProtege and Protege Desktop
> Subject: Re: [protege-user] java issue protege5
>
> Hello Michel,
>
> Sorry you're having problems starting Protege.  I looked at our run scripts and we're using the Java "-server" option, which only comes with the JDK.  Probably you only have the JRE installed on your laptop.  Open your run.bat file in a text editor and remove the "-server" option, i.e., you'll end up with this:
>
> java -Dlog4j.configuration=file:log4j.xml -DentityExpansionLimit=100000000 -Dfile.encoding=utf-8 -Dorg.protege.plugin.dir=plugins -classpath bin/felix.jar;bin/ProtegeLauncher.jar org.protege.osgi.framework.Launcher
>
> ... then save run.bat, and try launching Protege again.  I think this should work.  Let us know if you're successful, or not.
>
> Jennifer
>
>
>
> On May 30, 2014, at 6:43 AM, Michel Bohms <[hidden email]> wrote:
>
>> We're using laptops with preinstalled java.
>>
>> java -version works:
>> C:\Software\Protege_5.0_beta>java -version java version "1.7.0_55"
>> Java(TM) SE Runtime Environment (build 1.7.0_55-b13) Java HotSpot(TM)
>> Client VM (build 24.55-b03, mixed mode)
>>
>>
>>
>> still I get:
>>
>>
>> C:\Software\Protege_5.0_beta>run.bat
>>
>> C:\Software\Protege_5.0_beta>java -server
>> -Dlog4j.configuration=file:log4j.xml -
>> DentityExpansionLimit=100000000 -Dfile.encoding=utf-8
>> -Dorg.protege.plugin.dir=p lugins -classpath
>> bin/felix.jar;bin/ProtegeLauncher.jar org.protege.osgi.framewo
>> rk.Launcher
>> Error: missing `server' JVM at `C:\Program Files (x86)\Java\jre7\bin\server\jvm.
>> dll'.
>> Please install or use the JRE or JDK that contains these missing components.
>>
>> are there specific reqs wrt java?
>>
>> thx Michel
>> _______________________________________________
>> protege-user mailing list
>> [hidden email]
>> https://mailman.stanford.edu/mailman/listinfo/protege-user
>
> _______________________________________________
> protege-user mailing list
> [hidden email]
> https://mailman.stanford.edu/mailman/listinfo/protege-user

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user